%global         srcname input-overlay
%global         uiohook_commit 0d02efba92886988afd2429785f037ff8e96134a
%global         uiohook_short %(echo %{uiohook_commit} | cut -c1-9)

%ifarch x86_64
%global optflags %(echo %{optflags} | sed 's/x86-64/x86-64-v2/g')
%endif

Name:           obs-studio-plugin-input-overlay
Version:        5.0.6
Release:        1%{?dist}
Summary:        OBS plugin for displaying keyboard, mouse and gamepad inputs

License:        GPL-2.0-or-later and Zlib
URL:            https://github.com/univrsal/input-overlay
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
Source1:        https://github.com/univrsal/libuiohook/archive/%{uiohook_commit}/uiohook-%{uiohook_short}.tar.gz
ExcludeArch:    %ix86

BuildRequires:  cmake
BuildRequires:  gcc gcc-c++

BuildRequires:  cmake(libobs)
BuildRequires:  pkgconfig(Qt6)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbcommon-x11)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(libevdev)

Requires:       obs-studio%{?_isa}

Enhances:       obs-studio%{?_isa}

Provides:       bundled(mongoose) = 7.6

%description
%{name}.

%prep
%autosetup -n %{srcname}-%{version} -a 1

rmdir deps/libuiohook
mv libuiohook-%{uiohook_commit} deps/libuiohook

sed -i '/-march=native/d' CMakeLists.txt

%build
%cmake \
    -DLOCAL_INSTALLATION:BOOL=OFF \
    -DLINUX_PORTABLE:BOOL=OFF \
    -DBUILD_DEMO:BOOL=OFF \
    \
    -DUSE_XKB_COMMON:BOOL=ON \
    -DUSE_XKB_FILE:BOOL=ON \
    -DUSE_XT:BOOL=ON \
    -DUSE_XF86MISC:BOOL=OFF \
    -DUSE_XRANDR:BOOL=ON \
    -DUSE_XINERAMA:BOOL=ON \
    -DUSE_XRECORD_ASYNC:BOOL=OFF \
    -DUSE_EVDEV:BOOL=ON

%cmake_build


%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_libdir}/obs-plugins/%{srcname}.so
%{_datadir}/obs/obs-plugins/%{srcname}

%changelog
* Wed Oct 30 2024 Jan200101 <sentrycraft123@gmail.com> - 5.0.6-1
- Update to 5.0.6

* Mon Jul 29 2024 Jan200101 <sentrycraft123@gmail.com> - 5.0.5-1
- Initial package

